%define        serverdir     %(apxs -q htdocsdir 2>/dev/null)
# To create a customized installation:
# autospec -u prestashop -a5 \
#   -d "installdir=%serverdir/../www.example.com, \
#       sitename=example, \
#       adminmail=webmaster@example.com"

%if "%{?installdir}" == ""
%define     installdir    %{serverdir}/prestashop
%endif

%if "%{?sitename}" != ""
%if "%{?servername}" == ""
%define  servername    %(basename %installdir 2>/dev/null)
%endif
%define     serverlogdir  %(apxs -q logfiledir 2>/dev/null)
%else
%if "%{?aliasdir}" == ""
%define  aliasdir      /prestashop
%endif
%endif

Name:          %{?sitename:%sitename-website-}prestashop
Version:       8.2.1
Release:       1mamba
Summary:       A free, fully scalable, Open-source e-commerce solution
Group:         Applications/Web
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://prestashop.com/
## GITSOURCE https://github.com/PrestaShop/PrestaShop.git 1.5.5.0
Source:        https://github.com/PrestaShop/PrestaShop.git/%{version}/PrestaShop-%{version}.tar.bz2
License:       Open Software License 3.0
## AUTOBUILDREQ-BEGIN
BuildRequires: apache-devel
BuildRequires: systemd
## AUTOBUILDREQ-END
BuildArch:     noarch

%description
PrestaShop offers a free, fully scalable, Open-source e-commerce solution.

%prep
%setup -q -n PrestaShop-%{version}

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -d %{buildroot}%{installdir}
cp -a * %{buildroot}%{installdir}

install -d %{buildroot}%{_sysconfdir}/httpd/httpd.d
%if "%{?sitename}" != ""
cat > %{buildroot}%{_sysconfdir}/httpd/httpd.d/%{servername}.conf << EOF
%else
cat > %{buildroot}%{_sysconfdir}/httpd/httpd.d/%{name}.conf << EOF
%endif
%if "%{?sitename}" == ""
%if "%(dirname %installdir)" != "%{serverdir}"
Alias %{aliasdir} %{installdir}

%endif
%endif
<Directory %{installdir}>
AllowOverride All
RewriteEngine On
Order allow,deny
Allow from All
</Directory>
%if "%{?sitename}" != ""
%if "%(dirname %installdir)" != "%{serverdir}"

<VirtualHost *:80>
%{?adminmail:ServerAdmin %adminmail}
DocumentRoot %{installdir}
ServerName %{servername}
ErrorLog %{serverlogdir}/%{servername}-error_log
CustomLog %{serverlogdir}/%{servername}-access_log common
</VirtualHost>
%endif
%endif
EOF

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
if [ $1 -ge 1 ]; then
[ -e %{_localstatedir}/lock/subsys/httpd ] && service httpd reload || :
fi
:

%files
%defattr(-,root,root)
%if "%{?sitename}" != ""
%config(noreplace) %{_sysconfdir}/httpd/httpd.d/%{servername}.conf
%else
%config(noreplace) %{_sysconfdir}/httpd/httpd.d/%{name}.conf
%endif
%dir %{installdir}
%attr(-,apache,nobody) %{installdir}/*

## note: eventually add the remaining documents (if any)
# %doc README.md

%changelog
* Wed Feb 26 2025 Automatic Build System <autodist@openmamba.org> 8.2.1-1mamba
- automatic version update by autodist

* Tue Oct 01 2024 Automatic Build System <autodist@openmamba.org> 8.2.0-1mamba
- automatic version update by autodist

* Mon Jun 24 2024 Automatic Build System <autodist@openmamba.org> 8.1.7-1mamba
- automatic version update by autodist

* Sun May 26 2024 Automatic Build System <autodist@openmamba.org> 8.1.6-1mamba
- automatic version update by autodist

* Wed Mar 20 2024 Automatic Build System <autodist@openmamba.org> 8.1.5-1mamba
- automatic version update by autodist

* Tue Feb 20 2024 Automatic Build System <autodist@openmamba.org> 8.1.4-1mamba
- automatic version update by autodist

* Fri Jan 19 2024 Automatic Build System <autodist@openmamba.org> 8.1.3-1mamba
- automatic version update by autodist

* Fri Oct 20 2023 Automatic Build System <autodist@mambasoft.it> 8.1.2-1mamba
- automatic version update by autodist

* Wed Sep 20 2023 Automatic Build System <autodist@mambasoft.it> 8.1.1-1mamba
- automatic version update by autodist

* Tue Jul 04 2023 Automatic Build System <autodist@mambasoft.it> 8.1.0-1mamba
- automatic version update by autodist

* Sun Apr 30 2023 Automatic Build System <autodist@mambasoft.it> 8.0.4-1mamba
- automatic version update by autodist

* Thu Mar 16 2023 Automatic Build System <autodist@mambasoft.it> 8.0.2-1mamba
- automatic version update by autodist

* Sat Jan 14 2023 Automatic Build System <autodist@mambasoft.it> 8.0.1-1mamba
- automatic version update by autodist

* Sat Nov 12 2022 Automatic Build System <autodist@mambasoft.it> 8.0.0-1mamba
- automatic version update by autodist

* Tue Jul 26 2022 Automatic Build System <autodist@mambasoft.it> 1.7.8.7-1mamba
- automatic version update by autodist

* Wed May 18 2022 Automatic Build System <autodist@mambasoft.it> 1.7.8.6-1mamba
- automatic version update by autodist

* Fri Mar 25 2022 Automatic Build System <autodist@mambasoft.it> 1.7.8.5-1mamba
- automatic version update by autodist

* Mon Mar 07 2022 Automatic Build System <autodist@mambasoft.it> 1.7.8.4-1mamba
- automatic version update by autodist

* Tue Dec 14 2021 Automatic Build System <autodist@mambasoft.it> 1.7.8.2-1mamba
- automatic version update by autodist

* Fri Oct 15 2021 Automatic Build System <autodist@mambasoft.it> 1.7.8.0-1mamba
- automatic version update by autodist

* Wed Sep 29 2021 Automatic Build System <autodist@mambasoft.it> 1.7.7.8-1mamba
- automatic version update by autodist

* Sat Aug 21 2021 Automatic Build System <autodist@mambasoft.it> 1.7.7.6-1mamba
- automatic version update by autodist

* Mon Jun 21 2021 Automatic Build System <autodist@mambasoft.it> 1.7.7.5-1mamba
- automatic version update by autodist

* Sun May 09 2021 Automatic Build System <autodist@mambasoft.it> 1.7.7.4-1mamba
- automatic version update by autodist

* Fri Apr 16 2021 Automatic Build System <autodist@mambasoft.it> 1.7.7.3-1mamba
- automatic version update by autodist

* Sun Feb 28 2021 Automatic Build System <autodist@mambasoft.it> 1.7.7.2-1mamba
- automatic version update by autodist

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 1.7.7.1-1mamba
- automatic version update by autodist

* Fri Mar 27 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.0.14-1mamba
- update to 1.6.0.14

* Thu Oct 03 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.5.0-1mamba
- package created by silvan using the webbuild interface
